//
// Created by Ht on 2020/7/15.
//

#ifndef LIBDEVCPP_NETUTILS_H
#define LIBDEVCPP_NETUTILS_H

#include <qlibc/StringUtils.hpp>

class JE_API NetUtils {
public:
    static void getHostIpList(QStringList& sl);

    static bool isValidIP(const std::string &ip);

    static bool isLocalHost(const std::string &ip);

    static std::string stringAddress(struct in_addr &addr);
};


#endif //LIBDEVCPP_NETUTILS_H
